export declare enum ServiceType {
    MapServer = "MapServer",
    TileServer = "TileServer",
    VectorTileServer = "VectorTileServer",
    ImageServer = "ImageServer",
    FeatureServer = "FeatureServer",
    WMSServer = "WMSServer",
    WMTSServer = "WMTSServer",
    WFSServer = "WFSServer",
    WCSServer = "WCSServer",
    ArcGISMapServer = "arcgis/MapServer",
    ArcGISVectorTileServer = "arcgis/VectorTileServer",
    SceneServer = "SceneServer",
    M3dServer = "M3dServer",
    _3DTilesServer = "3DTilesServer",
    TerrainServer = "TerrainServer"
}
/**
 * @description M3D模型缓存图层
 */
export declare function isM3dCache(type: string): boolean;
/**
 * @description Cesium 3D Tiles模型缓存图层
 */
export declare function isCesium3DTiles(type: string): boolean;
/**
 * @description 模型缓存图层
 */
export declare function isModelCache(type: string): boolean;
/**
 * @description IGS场景图层
 */
export declare function isScene(type: string): boolean;
/**
 * @description IGS场景图层子图层-地形
 */
export declare function isSceneSubLayerTerrain(type: string): boolean;
/**
 * @description IGS场景图层子图层-M3D模型缓存
 */
export declare function isSceneSubLayerM3d(type: string): boolean;
